gsasl_stringprep_trace(3)

NAME
gsasl_stringprep_trace - API function

SYNOPSIS
#include <gsasl.h>

char * gsasl_stringprep_trace(const char * in, int * stringprep_rc);

ARGUMENTS

const char * in
    input ASCII or UTF-8 string with data to prepare according to "trace".

int * stringprep_rc
    pointer to output variable with stringprep error code, or NULL to indicate that you don't care about it.

DESCRIPTION
Process a Unicode string for use as trace information, according to the "trace" stringprep profile. The profile is designed for use with the SASL ANONYMOUS Mechanism.

RETURN VALUE
Return a newly allocated string that is the "trace" processed form of the input string, or NULL on error, in which case stringprep_rc contain the stringprep library error code.

DEPRECATED
No replacement functionality in GNU SASL, use GNU Libidn instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.